# Gateway IPs

## List

> Retrieve Criteria Gateway IP List of a Site Defaults object.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFADefaultSettings/Criteria/GatewayIPs":{"get":{"tags":["2-Site settings/Multi-factor Authentication/1-Default settings/Criteria//Gateway IP"],"summary":"List","description":"Retrieve Criteria Gateway IP List of a Site Defaults object.","operationId":"9944a5ea-bd1f-483b-a5d4-978a1ac4fcb3","parameters":[{"name":"siteId","in":"query","description":"The SiteId of a Site Defaults object for which to retrieve the Criteria settings (optional).","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GatewayCriteriaEntry"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"GatewayCriteriaEntry":{"type":"object","properties":{"gatewayIP":{"type":"string","description":"<para type=\"description\">The gateway IP.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateway criteria entry</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add a gateway IP to the Gateway IP List of the Criteria settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFADefaultSettings/Criteria/GatewayIPs":{"post":{"tags":["2-Site settings/Multi-factor Authentication/1-Default settings/Criteria//Gateway IP"],"summary":"Add","description":"Add a gateway IP to the Gateway IP List of the Criteria settings.","operationId":"185d830b-dcf0-4cad-921e-e4733e7f4085","parameters":[{"name":"siteId","in":"query","description":"The Site ID of an object for which to modify the Criteria settings (optional).","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Gateway IP configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddCriteriaGatewayIP"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddCriteriaGatewayIP":{"type":"object","properties":{"ip":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The IP of the gateway to add to the Criteria.</para>","nullable":true},"gatewayId":{"type":"integer","description":"<para type=\"description\">The ID of the gateway to add to the Criteria.</para>","format":"int32","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add a gateway IP to the Criteria Gateways list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Remove

> Remove a gateway IP from the Gateway IP List of the Criteria settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFADefaultSettings/Criteria/GatewayIPs":{"delete":{"tags":["2-Site settings/Multi-factor Authentication/1-Default settings/Criteria//Gateway IP"],"summary":"Remove","description":"Remove a gateway IP from the Gateway IP List of the Criteria settings.","operationId":"25699d60-0bd9-487e-9472-fe495c9ce5cf","parameters":[{"name":"siteId","in":"query","description":"The Site ID of an object for which to modify the Criteria settings (optional).","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Gateway IP configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveCriteriaGatewayIP"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveCriteriaGatewayIP":{"required":["ip"],"type":"object","properties":{"ip":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The IP of the gateway to remove from the Criteria.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove a gateway IP from the Criteria Gateways list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/mfa/mfa-default-settings/criteria/gateway-ips.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
